**Full name**: projects.locations.pipelineJobs.create

Creates a PipelineJob. A PipelineJob will run immediately when created.

### Endpoint

post `https://{service-endpoint}/v1/{parent}/pipelineJobs`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The resource name of the Location to create the PipelineJob in. Format: `projects/{project}/locations/{location}`

### Query parameters

`pipelineJobId` `string` The id to use for the PipelineJob, which will become the final component of the PipelineJob name. If not provided, an id will be automatically generated.

This value should be less than 128 characters, and valid characters are `/[a-z][0-9]-/`.

### Request body

The request body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.pipelineJobs#PipelineJob`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.pipelineJobs#PipelineJob`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.pipelineJobs.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).